Name:           stormbaancoureur
Version:        2.1.6
Release:        %mkrel 4
Summary:        Physics-based obstacle course simulation
Group:          Games/Simulation
License:        GPLv3
URL:            http://www.stolk.org/stormbaancoureur/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.6
Source2:        %{name}_32.png
Source3:        %{name}_64.png
Patch0:         stormbaancoureur-2.1.6-mga-makefile.patch
Patch1:         stormbaancoureur-2.1.6-deb-fullscreen-optional.patch

BuildRequires:  freeglut-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(ode)
BuildRequires:  plib-devel

%description
Your objective is to drive your car along an obstacle course. Success depends
on total control of the car. If you want to master it, try to have the laws
of physics work with you, not against you.

%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
%make -C src-%{name} LIBDIRNAME=%{_lib}

%install
%makeinstall_std -C src-%{name}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Stormbaan Coureur
GenericName=Obstacle course game
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;Simulation;
EOF

install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

install -D -m644 %{_sourcedir}/%{name}_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 %{_sourcedir}/%{name}_64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%files
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Nov 13 2016 akien <akien> 2.1.6-4.mga6
+ Revision: 1066993
- Rebuild for new libode

* Tue Feb 09 2016 umeabot <umeabot> 2.1.6-3.mga6
+ Revision: 951396
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 akien <akien> 2.1.6-2.mga5
+ Revision: 806576
- Rebuild for ODE

* Mon Dec 22 2014 akien <akien> 2.1.6-1.mga5
+ Revision: 804956
- imported package stormbaancoureur

